<ui:composition 
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:h="http://java.sun.com/jsf/html"
    xmlns:f="http://java.sun.com/jsf/core"
    xmlns:ui="http://java.sun.com/jsf/facelets"
    xmlns:p="http://primefaces.org/ui"
    xmlns:pe="http://primefaces.org/ui/extensions"
    xmlns:c="http://java.sun.com/jstl/core">
    
	<div class="tablero">
		<div class="row">
			<div class="col-lg-12">
				<div class="card card-rounded bt-switch shadow-md">
					<div class="card-body">
						<div class="row">
							<div class="col-md-12">
								<h5 class="card-title">MAPA DE LOCALIZACIÓN GEOGRÁFICO</h5>
								<div class="">
									<h:form id="frmSeleccion">
                                              <p:commandButton value="Borrar Filtro" id="btnlimpiar" class="btn btn-outline-info btn-rounded m-10 float-right" 
                                              	oncomplete="eventClickLimpiarMapa();" 
                                              	actionListener="#{perfilBean.cargaInicialPerfil}" 
                                              	style="visibility: hidden;">
										</p:commandButton>
									</h:form>
                                         </div>
								<div id="container"></div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div>
			<span class="card-title" id="regionSeleccionada" style="align: left;text-align: left;font-size:15px;background:transparent;border:0;visibility: hidden"></span>
		</div>
		<h:form id="frmPerfil">
			<p:growl autoUpdate="true" widgetVar="growlWV" id="growl" life="2000" />
			<h:inputHidden id="regionFiltro" />
			<h:inputHidden id="pPre" value="#{perfilBean.cumplimientoPoliza.plan}" />
			<h:inputHidden id="pMet" value="#{perfilBean.cumplimientoPoliza.meta}" />
			<h:inputHidden id="pReal" value="#{perfilBean.cumplimientoPoliza.real}" />
			<h:inputHidden id="pbPre" value="#{perfilBean.cumplimientoPB.plan}" />
			<h:inputHidden id="pbMet" value="#{perfilBean.cumplimientoPB.meta}" />
			<h:inputHidden id="pbReal" value="#{perfilBean.cumplimientoPB.real}" />
			<h:inputHidden id="pePre" value="#{perfilBean.cumplimientoPE.plan}" />
			<h:inputHidden id="peMet" value="#{perfilBean.cumplimientoPE.meta}" />
			<h:inputHidden id="peReal" value="#{perfilBean.cumplimientoPE.real}" />
			<p:remoteCommand async="true" name="filtraPorRegion" action="#{perfilBean.filtraPorRegion}" 
					update="frmPerfil" oncomplete="refrescarGraficosBarra(); finaliza();"/>
			<div class="row">
				<div class="col-lg-7">
					<div class="card card-rounded bt-switch shadow">
						<div class="card-body">
							<h4 class="card-title text-center">CUMPLIMIENTO PERÍODO COMERCIAL</h4>
							<div class="row">
								<div class="col-lg-4">
										<h4 class="card-title text-center">Polizas (Nº)</h4>
										<div id="bar-chart-corporativo" style="width:100%; height:300px;"></div>
								</div>
								<div class="col-lg-4">
										<h5 class="card-title text-center">Prima Básica (UF)</h5>
										<div id="bar-chart-corporativo-primabasica" style="width:100%; height:300px;"></div>
								</div>
								<div class="col-lg-4">
										<h5 class="card-title text-center">Prima Exceso (UF)</h5>
										<div id="bar-chart-corporativo-primaexceso" style="width:100%; height:300px;"></div>
								</div>
							</div>
							<div class="row">
								<div class="col-lg-12" style="text-align: center;">
									<ul id="menu">
										<li style="color: #d9d9d6;"><i class="fa fa-circle"></i> Presupuesto</li>
										<li style="color: #00aca0;"><i class="fa fa-circle"></i> Meta</li>
										<li style="color: #db0a5b;"><i class="fa fa-circle"></i> Real</li>
									</ul>
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="col-lg-5">
					<div class="card card-rounded bt-switch shadow-md">
						<div class="card-body">
							<h4 class="card-title text-center">CALIFICADOS / MEDIOS CALIFICADOS</h4>
							<div class="row">
								<p:chart type="pie" model="#{perfilBean.calPieModel}" />
							</div>
							<div class="row">
								<p:spacer height="69px" />
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="row">
				<!-- Column -->
				<div class="col-lg-3"></div>
				
				<div class="col-lg-6">
					<div class="card card-rounded bt-switch shadow-md">
                           <div class="card-body">
                               <h4 class="card-title text-center">Personal</h4>
                               <div class="row">
	                               <table class="classPersonalNoBorder">
	                        		<tr>
		                        		<td width="95%">
										    <div style="border-right: 1px solid #e9ecef" class="col-lg-12">
												<div class="table-responsive">
													<table class="classPersonal">
														<thead>
															<tr style="border-bottom: 2px solid #e9ecef">
																<th><spam style="font-weight: 500;">Rango Antigüedad</spam></th>
																<th><spam style="font-weight: 500;">Dotación</spam></th>
																<th><spam style="font-weight: 500;">Rotación</spam></th>
															</tr>
														</thead>
														<tbody>
														<p:repeat value="#{perfilBean.respuestaGetPerfilCorp.personal}" var="personal">
							    					    	<tr>
														    	<td>
																	<h:outputText value="#{personal.rangoAntiguedad}" />
														    	</td>
														    	<td>
																	<h:outputText value="#{personal.dotacion}" />
														    	</td>
														    	<td>
																	<h:outputText value="#{personal.rotacion}" />%
														    	</td>
														    </tr>
														 </p:repeat>
														 </tbody>
										   			</table>
												</div>
											</div>
										</td>
										<td width="5%">	
											<div style="font-weight: 500;font-size: 20px; text-align: center;">#{perfilBean.respuestaGetPerfilCorp.getPorcentajeDotacion()}%</div>
	                              		</td>
		                    		</tr>
		                   		</table>
	                    	</div>
	                    </div>
	                </div>
				</div>
			</div>	
			<br/><br/>
			<div class="row container-fluid d-none d-md-block d-lg-block ">
	           <p:dataTable
                    id="treeTable"
                    value="#{perfilBean.listTablaPerfil}"
			        var="data"
			        styleClass="row tabla-usuarios"
			        emptyMessage="Sin registros"
			        rowExpandMode="single"
			        expandedRow="#{perfilBean.isExpanded(data)}"
			        rowKey="#{data.idPersonal}"
			        rowIndexVar="rowIndex"
			        paginator="#{perfilBean.listTablaPerfil.size() > 10}"
			        rows="10"
					paginatorTemplate="{FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
					rowsPerPageTemplate="10,20,30,50,100"
					paginatorPosition="bottom">
					
					<p:columnGroup type="header">
		            <p:row>
		                <p:column style="border: 0px; width:210px" headerText="Nombre" />
		                <p:column style="border: 0px;" headerText="Rotación" />
		                <p:column style="border: 0px;" headerText="Nap Total" />
		                <p:column style="border: 0px;" headerText="Polizas" />
		                <p:column style="border: 0px;" headerText="PB" />
		                <p:column style="border: 0px;" headerText="PE" />
		            </p:row>
		          	</p:columnGroup>
		        	
			   		<p:column style="border:0;background-color:#FFFFFF; border-top-left-radius:15px;border-bottom-left-radius:15px;">
			   			<table class="users">
   					    	<tr>
						    	<td width="62px">
						    		<div class="card card-rounded bg-green float-left mr-3">
						    			<div class="card-body">
						   		 			<h:commandLink  update="includePerfil, frmDrillDown" value="GA" style="color: white;" actionListener="#{perfilBean.drillDownPerfil(data)}" />	
						    			</div>
						    		</div>
						    	</td>
						    	<td>
									<div align="left">
										<div align="left"><b><h:outputText value=" #{data.nombre}"/></b></div>
										<div align="left">
											<p:commandLink actionListener="#{perfilBean.expandAction(data)}"
												update="frmPerfil:treeTable">
												<i class="fas fa-plus-circle"></i><u>#{data.verPerfil}</u>
											</p:commandLink>
										</div>
									</div>
						    	</td>
						    </tr>
			   			</table>
				    </p:column>
					<p:column style="border:0;background-color:#FFFFFF;">
						<div style="font-size:11px;"><h:outputText value=" #{data.rotacion}"/>%</div>
  					    </p:column>
  					    <p:column  style="border:0;background-color:#FFFFFF;">
						<table class="users">
   					    	<tr>
						    	<td colspan="2">PPTO</td>
						    </tr>
						    <tr>
						        <td colspan="2"><h:outputText value="#{data.nap_ppto}"/></td>
						    </tr>
						    <tr>
						    	<td>META</td>
						    	<td>REAL</td>
						    </tr>
						    <tr>
						       <td><h:outputText value=" #{data.nap_meta}"/></td>
						       <td><div><font color="#{data.nap_estado eq 'NA'? '#a7a8aa':data.nap_estado eq 'N'? '#e91812':'#008f39'}"><h:outputText value=" #{data.nap_real}"/></font></div></td>
						    </tr>
						</table>
  					    </p:column>
  					    <p:column  style="border:0;background-color:#FFFFFF;">
   					    <table class="users">
   					    	<tr>
						    	<td colspan="2">PPTO</td>
						    </tr>
						    <tr>
						        <td colspan="2"><h:outputText value="#{data.polizas_ppto}"/></td>
						    </tr>
						    <tr>
						    	<td>META</td>
						    	<td>REAL</td>
						    </tr>
						    <tr>
						       <td><h:outputText value=" #{data.polizas_meta}"/></td>
						       <td><div><font color="#{data.polizas_estado eq 'NA'? '#a7a8aa':data.polizas_estado eq 'N'? '#e91812':'#008f39'}"><h:outputText value=" #{data.polizas_real}"/></font></div></td>
						    </tr>
						</table>
  					    </p:column>
  					    <p:column  style="border:0;background-color:#FFFFFF;">
   					    <table class="users">
   					    	<tr>
						    	<td colspan="2">PPTO</td>
						    </tr>
						    <tr>
						        <td colspan="2"><h:outputText value="#{data.pb_ppto}"/></td>
						    </tr>
						    <tr>
						    	<td>META</td>
						    	<td>REAL</td>
						    </tr>
						    <tr>
						       <td><h:outputText value=" #{data.pb_meta}"/></td>
						       <td><div><font color="#{data.pb_estado eq 'NA'? '#a7a8aa':data.pb_estado eq 'N'? '#e91812':'#008f39'}"><h:outputText value=" #{data.pb_real}"/></font></div></td>
						    </tr>
						</table>
  					    </p:column>
  					    <p:column style="border:0;background-color:#FFFFFF;border-top-right-radius:15px;border-bottom-right-radius:15px;">
   					    <table class="users">
   					    	<tr>
						    	<td colspan="2">PPTO</td>
						    </tr>
						    <tr>
						        <td colspan="2"><h:outputText value="#{data.pe_ppto}"/></td>
						    </tr>
						    <tr>
						    	<td>META</td>
						    	<td>REAL</td>
						    </tr>
						    <tr>
						       <td><h:outputText value=" #{data.pe_meta}"/></td>
						       <td><div><font color="#{data.pe_estado eq 'NA'? '#a7a8aa':data.pe_estado eq 'N'? '#e91812':'#008f39'}"><h:outputText value=" #{data.pe_real}"/></font></div></td>
						    </tr>
						</table>
  					    </p:column>
  					    
  					     <p:rowExpansion>
   					     		<p:dataTable 
		                           	id="childTable"
		                           	value="#{perfilBean.listTablaPerfilGU}"
							        var="childData"
							        styleClass="row tabla-usuarios"
							        emptyMessage="Sin registros"
							   		rowExpandMode="single"
							        expandedRow="#{perfilBean.isExpandedChild(childData)}"
							        rowKey="#{childData.idPersonal}"
							        rowIndexVar="#{childData.idPersonal}"
							        style="margin-left: 10px;border:0px;"
							      	paginator="#{perfilBean.listTablaPerfilGU.size() > 10}"
							        rows="10"
									paginatorTemplate="{FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
									rowsPerPageTemplate="10,20,30,50,100"
									paginatorPosition="bottom">
									
									<p:columnGroup type="header">
						            <p:row>
						                <p:column style="border: 0px; width:210px" headerText="Nombre" />
						                <p:column style="border: 0px" rowspan="2" headerText="BCPU" />
						                <p:column style="border: 0px;" headerText="Rotación" />
						                <p:column style="border: 0px;" headerText="Polizas" />
						                <p:column style="border: 0px;" headerText="PB" />
						                <p:column style="border: 0px;" headerText="PE" />
						            </p:row>
						          	</p:columnGroup>
					        	
							   		<p:column style="border:0;background-color:#FFFFFF; border-top-left-radius:15px;border-bottom-left-radius:15px;">
									    <table class="users">
			    					    	<tr>
										    	<td width="62px">
													<div class="card card-rounded bg-green float-left mr-3">
														<div class="card-body">
						   		 							<h:commandLink update="includePerfil, frmDrillDown" value="GU" style="color: white;" actionListener="#{perfilBean.drillDownPerfil(childData)}" />	
														</div>
													</div>
										    	</td>
										    	<td>
													<div align="left">
														<div align="left"><b><h:outputText value=" #{childData.nombre}"/></b></div>
														<div align="left">
															<p:commandLink actionListener="#{perfilBean.expandChildAction(childData)}"
																update="frmPerfil:treeTable:#{rowIndex}:childTable">
																<i class="fas fa-plus-circle"></i><u>#{childData.verPerfil}</u>
															</p:commandLink>
														</div>
													</div>
										    	</td>
										    </tr>
							   			</table>
		    					    </p:column>
									<p:column  style="background-color:#FFFFFF;">
							    		<div style="font-size:11px;"><h:outputText value=" #{childData.bcpu}"/></div>
		    					    </p:column>
									<p:column  style="background-color:#FFFFFF;">
							    		<div style="font-size:11px;"><h:outputText value=" #{childData.rotacion}"/>%</div>
		    					    </p:column>
		    					    <p:column style="border:0;background-color:#FFFFFF;">
			    					    <table class="users">
			    					    	<tr>
										    	<td colspan="2">PPTO</td>
										    </tr>
										    <tr>
										        <td colspan="2"><h:outputText value="#{childData.polizas_ppto}"/></td>
										    </tr>
										    <tr>
										    	<td>META</td>
										    	<td>REAL</td>
										    </tr>
										    <tr>
										       <td><h:outputText value=" #{childData.polizas_meta}"/></td>
										       <td><div><font color="#{childData.polizas_estado eq 'NA'? '#a7a8aa':childData.polizas_estado eq 'N'? '#e91812':'#008f39'}"><h:outputText value=" #{childData.polizas_real}"/></font></div></td>
										    </tr>
										</table>
		    					    </p:column>
		    					    <p:column style="border:0;background-color:#FFFFFF;">
			    					    <table class="users">
			    					    	<tr>
										    	<td colspan="2">PPTO</td>
										    </tr>
										    <tr>
										        <td colspan="2"><h:outputText value="#{childData.pb_ppto}"/></td>
										    </tr>
										    <tr>
										    	<td>META</td>
										    	<td>REAL</td>
										    </tr>
										    <tr>
										       <td><h:outputText value=" #{childData.pb_meta}"/></td>
										       <td><div><font color="#{childData.pb_estado eq 'NA'? '#a7a8aa':childData.pb_estado eq 'N'? '#e91812':'#008f39'}"><h:outputText value=" #{childData.pb_real}"/></font></div></td>
										    </tr>
										</table>
		    					    </p:column>
		    					    <p:column style="border:0;background-color:#FFFFFF;border-top-right-radius:15px;border-bottom-right-radius:15px;">
			    					    <table class="users">
			    					    	<tr>
										    	<td colspan="2">PPTO</td>
										    </tr>
										    <tr>
										        <td colspan="2"><h:outputText value="#{childData.pe_ppto}"/></td>
										    </tr>
										    <tr>
										    	<td>META</td>
										    	<td>REAL</td>
										    </tr>
										    <tr>
										       <td><h:outputText value=" #{childData.pe_meta}"/></td>
										       <td><div><font color="#{childData.pe_estado eq 'NA'? '#a7a8aa':childData.pe_estado eq 'N'? '#e91812':'#008f39'}"><h:outputText value=" #{childData.pe_real}"/></font></div></td>
										    </tr>
										</table>
		    					    </p:column>
		    					    
		    					    <p:rowExpansion>
		    					  		<p:dataTable 
					                           	id="asesorTable"
					                           	value="#{perfilBean.listTablaPerfilAsesor}"
										        var="asData"
										        styleClass="row tabla-usuarios"
										        emptyMessage="Sin registros"
										        style="margin-left: 10px;"
										        paginator="#{perfilBean.listTablaPerfilAsesor.size() > 10}"
										        rows="10"
												paginatorTemplate="{FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
												rowsPerPageTemplate="10,20,30,50,100"
												paginatorPosition="bottom">
													
											 	<p:columnGroup type="header">
									            <p:row>
									                <p:column style="border: 0px;width:210px" headerText="Nombre" />
						    		                <p:column style="border: 0px;" headerText="Polizas" />
									                <p:column style="border: 0px;" headerText="PB" />
									                <p:column style="border: 0px;" headerText="PE" />
									            </p:row>
									          	</p:columnGroup>
									        	
										   		<p:column  style="background-color:#FFFFFF;border-top-left-radius:15px;border-bottom-left-radius:15px;">
												    <table class="users">
						    					    	<tr>
													    	<td width="62px">
																<div class="card card-rounded bg-green float-left mr-3">
																	<div class="card-body">
																		<h:commandLink update="includePerfil, frmDrillDown" value="AS" style="color: white;" actionListener="#{perfilBean.drillDownPerfil(asData)}" />
																	</div>
																</div>
													    	</td>
													    	<td>
																<div align="left">
																	<div align="left"><b><h:outputText value=" #{asData.nombre}"/></b></div>
																	<div align="left">#{asData.perfilActual}</div>
																</div>
													    	</td>
													    </tr>
										   			</table>
											    </p:column>
					    					    <p:column style="border:0;background-color:#FFFFFF;">
						    					    <table class="users">
													    <tr>
													    	<td>META</td>
													    	<td>REAL</td>
													    </tr>
													    <tr>
													       <td><h:outputText value=" #{asData.polizas_meta}"/></td>
													       <td><div><font color="#{asData.polizas_estado eq 'NA'? '#a7a8aa':asData.polizas_estado eq 'N'? '#e91812':'#008f39'}"><h:outputText value=" #{asData.polizas_real}"/></font></div></td>
													    </tr>
													</table>
					    					    </p:column>
					    					    <p:column style="border:0;background-color:#FFFFFF;">
						    					    <table class="users">
													    <tr>
													    	<td>META</td>
													    	<td>REAL</td>
													    </tr>
													    <tr>
													       <td><h:outputText value=" #{asData.pb_meta}"/></td>
													       <td><div><font color="#{asData.pb_estado eq 'NA'? '#a7a8aa':asData.pb_estado eq 'N'? '#e91812':'#008f39'}"><h:outputText value=" #{asData.pb_real}"/></font></div></td>
													    </tr>
													</table>
					    					    </p:column>
					    					    <p:column style="border:0;background-color:#FFFFFF;;border-top-right-radius:15px;border-bottom-right-radius:15px;">
						    					    <table class="users">
													    <tr>
													    	<td>META</td>
													    	<td>REAL</td>
													    </tr>
													    <tr>
													       <td><h:outputText value=" #{asData.pe_meta}"/></td>
													       <td><div><font color="#{asData.pe_estado eq 'NA'? '#a7a8aa':asData.pe_estado eq 'N'? '#e91812':'#008f39'}"><h:outputText value=" #{asData.pe_real}"/></font></div></td>
													    </tr>
													</table>
					    					    </p:column>
					    		     		</p:dataTable>
  					     	 			</p:rowExpansion>
  					     		</p:dataTable>
  					     </p:rowExpansion>
				</p:dataTable>
			</div>
		</h:form>
	</div>
	<script type="text/javascript">
		//<![CDATA[	
	    $(function() {
	        $(".preloader").fadeOut();
	        completaMapa();
	        cargaInicialGraficosBarra();
	    });
	    
	    function completaMapa() {		
	        $('#container').highcharts('Map', {
	            title: {
	            text: ''
	        },
	            series: [{
	    		"type": "map",
	    		"name": "bajo cumplimiento",
	    		"color": '#db0a5b',
	    		"data": #{perfilBean.jsonBajoCumplimiento}
	    	},
	      	{
		    	"type": "map",
		        "name": "en cumplimiento",
		        "color": '#00aca0',
		    	"data": #{perfilBean.jsonCumplimiento}
	    	},
	      	{
		    	"type": "map",
		        "name": "sin sucursales",
		        "color": '#c3c3c3',
		    	"data": #{perfilBean.jsonSinSucursal}
	    	}  
	    	],
	    	
	    	 plotOptions: {
	             series: {
	                 cursor: 'pointer',
	                 point: {
	                     events: {
	                    	 click: function (e) {
	                    		 eventClickMapa(e.point.codigo);
	                    		 $("#regionSeleccionada").text('Indicadores para región: ' + e.point.name);
	                    		 document.getElementById("regionSeleccionada").style.visibility='visible';
	                    		 document.getElementById("frmSeleccion:btnlimpiar").style.visibility='visible';
	                         }
	                     }
	                 }
	             }
	         }
	        });
	    };
	    
	    function finaliza() {
	    	$(".preloader").fadeOut();
	    }
	    
	    function eventClickLimpiarMapa() {
	    	document.getElementById("frmPerfil:regionFiltro").value = "";
	    	document.getElementById("regionSeleccionada").style.visibility='hidden';
    		document.getElementById("frmSeleccion:btnlimpiar").style.visibility='hidden';
	    	$(".preloader").fadeIn();
	    	filtraPorRegion();
	    }
	    
	    function eventClickMapa(obj) {
	    	document.getElementById("frmPerfil:regionFiltro").value = obj;
	    	 $(".preloader").fadeIn();
	    	filtraPorRegion();
	    }
	    
	    function cargaInicialGraficosBarra(){
			 var pPre = '#{perfilBean.cumplimientoPoliza.plan}'; 
			 var pMet = '#{perfilBean.cumplimientoPoliza.meta}'; 
			 var pReal = '#{perfilBean.cumplimientoPoliza.real}'; 
			 
			 var pbPre = '#{perfilBean.cumplimientoPB.plan}'; 
			 var pbMet = '#{perfilBean.cumplimientoPB.meta}'; 
			 var pbReal = '#{perfilBean.cumplimientoPB.real}'; 
			 
			 var pePre = '#{perfilBean.cumplimientoPE.plan}'; 
			 var peMet = '#{perfilBean.cumplimientoPE.meta}'; 
			 var peReal = '#{perfilBean.cumplimientoPE.real}'; 
			 
			 barChartCorporativo(pPre, pMet, pReal, 'bar-chart-corporativo', cambiaDecimal(pPre).replace(/"/g, ''));
			 barChartCorporativo(pbPre, pbMet, pbReal, 'bar-chart-corporativo-primabasica', cambiaDecimal(pbPre).replace(/"/g, ''));
			 barChartCorporativo(pePre, peMet, peReal, 'bar-chart-corporativo-primaexceso', cambiaDecimal(pePre).replace(/"/g, ''));
		 }
		 
		 function refrescarGraficosBarra(){
			 var pPre = document.getElementById("frmPerfil:pPre").value; 
			 var pMet = document.getElementById("frmPerfil:pMet").value; 
			 var pReal = document.getElementById("frmPerfil:pReal").value; 
			 
			 var pbPre = document.getElementById("frmPerfil:pbPre").value; 
			 var pbMet = document.getElementById("frmPerfil:pbMet").value; 
			 var pbReal = document.getElementById("frmPerfil:pbReal").value; 
			 
			 var pePre = document.getElementById("frmPerfil:pePre").value; 
			 var peMet = document.getElementById("frmPerfil:peMet").value; 
			 var peReal = document.getElementById("frmPerfil:peReal").value; 
			 
			 var pPreFormat = Highcharts.numberFormat(pPre,0,',','.');
			 var pbPreFormat = Highcharts.numberFormat(pbPre,0,',','.');
			 var pePreFormat = Highcharts.numberFormat(pePre,0,',','.');
			 
			 barChartCorporativo(pPre, pMet, pReal, 'bar-chart-corporativo', pPreFormat);
			 barChartCorporativo(pbPre, pbMet, pbReal, 'bar-chart-corporativo-primabasica', pbPreFormat);
			 barChartCorporativo(pePre, peMet, peReal, 'bar-chart-corporativo-primaexceso', pePreFormat);
		 }
	    
	    function myFunction() {
		  var input, filter, table, tr, td, i, txtValue;
		  input = document.getElementById("input-search");
		  filter = input.value.toUpperCase();
		  table = document.getElementsByTagName("table")[0];
		  tr = table.getElementsByTagName("tr");
		  for (i = 0; i < tr.length; i++) {
		    td = tr[i].getElementsByTagName("td")[0];
		    if (td) {
		      txtValue = td.textContent || td.innerText;
		      if (txtValue.toUpperCase().indexOf(filter) > -1) {
		        tr[i].style.display = "";
		      } else {
		        tr[i].style.display = "none";
		      }
		    }       
		  }
		}
	    
 	//]]>
	</script>
</ui:composition>
	